
# Tests de ScoDoc

ScoDoc est basé sur Flask, se référer à la doc de Flask pour aller plus loin.

On travaille toujours en tant qu'utilisateur `scodoc`, dans le virtualenv:

    su scodoc # si nécessaire
    cd /opt/scodoc
    source venv/bin/activate

## Lancement interactif

    flask shell

Pour mémoire, un certains nombre de commandes en ligne facilitant la gestion de 
ScoDoc sont disponibles, afficher la liste avec

    flask --help

## Tests unitaires

On utilise `pytest`. Ainsi, la commande

    pytest tests/unit

lance l'ensemble des tests unitaires.

## Tests Selenium (web)

TODO (Aurélien, JMP)

## Portail pour tests

Un faux portail "apogée" pour inscrire de faux étudiants avec photos. Utile pour tester les fonctions d'inscription/synchronisation, et aussi pour peupler rapidement une base de donnée.

Le code se trouve dans `tools/fakeportal/`.

Le serveur écoute par défaut sur `tcp/8678`. Il faudra paramétrer l'URL du "portail" dans les préférences du ScoDoc à tester, qui est en général sur le même hôte, donc `http://localhost:8678`.

Lancement:

    /opt/scodoc/tools/fakeportal/fakeportal.py 




